## GeditApp

GeditApp

## Functions

GeditWindow * | gedit_app_create_window ()
void | gedit_app_set_window_title ()
GList * | gedit_app_get_main_windows ()
GList * | gedit_app_get_documents ()
GList * | gedit_app_get_views ()
GeditLockdownMask | gedit_app_get_lockdown ()
gboolean | gedit_app_process_window_event ()
gboolean | gedit_app_show_help ()

## Properties

GeditLockdownMask | lockdown | Read

## Types and Values

| GeditAppPrivate
struct | GeditApp
enum | GeditLockdownMask

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── GeditApp

## Implemented Interfaces

GeditApp implements GActionGroup and GActionMap.

## Description

## Functions

### gedit_app_create_window ()

    GeditWindow *
    gedit_app_create_window (GeditApp *app,
                             GdkScreen *screen);

Create a new GeditWindow part of `app` .

#### Parameters

app | the GeditApp |
screen | . | [allow-none]

#### Returns

the new GeditWindow.

[transfer none]

### gedit_app_set_window_title ()

    void
    gedit_app_set_window_title (GeditApp *app,
                                GeditWindow *window,
                                const gchar *title);

### gedit_app_get_main_windows ()

    GList *
    gedit_app_get_main_windows (GeditApp *app);

Returns all GeditWindows currently open in GeditApp. This differs from `gtk_application_get_windows()` since it does not include the preferences dialog and other auxiliary windows.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditWindow objects.

[element-type Gedit.Window][transfer container]

### gedit_app_get_documents ()

    GList *
    gedit_app_get_documents (GeditApp *app);

Returns all the documents currently open in GeditApp.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditDocument objects.

[element-type Gedit.Document][transfer container]

### gedit_app_get_views ()

    GList *
    gedit_app_get_views (GeditApp *app);

Returns all the views currently present in GeditApp.

#### Parameters

app | the GeditApp |

#### Returns

a newly allocated list of GeditView objects.

[element-type Gedit.View][transfer container]

### gedit_app_get_lockdown ()

    GeditLockdownMask
    gedit_app_get_lockdown (GeditApp *app);

Gets the lockdown mask (see GeditLockdownMask) for the application. The lockdown mask determines which functions are locked down using the GNOME-wise lockdown GConf keys.

#### Parameters

app | a GeditApp |

### gedit_app_process_window_event ()

    gboolean
    gedit_app_process_window_event (GeditApp *app,
                                    GeditWindow *window,
                                    GdkEvent *event);

### gedit_app_show_help ()

    gboolean
    gedit_app_show_help (GeditApp *app,
                         GtkWindow *parent,
                         const gchar *name,
                         const gchar *link_id);

## Types and Values

### GeditAppPrivate

    typedef struct _GeditAppPrivate GeditAppPrivate;

### struct GeditApp

    struct GeditApp;

### enum GeditLockdownMask

#### Members

GEDIT_LOCKDOWN_COMMAND_LINE |  |
GEDIT_LOCKDOWN_PRINTING |  |
GEDIT_LOCKDOWN_PRINT_SETUP |  |
GEDIT_LOCKDOWN_SAVE_TO_DISK |  |

## Property Details

### The `“lockdown”` property

      “lockdown”                 GeditLockdownMask

The lockdown mask.

Flags: Read